Config = {}

Config.UseTarget = GetConvar('UseTarget', 'false') == 'true'
Config.Jobname = 'garbage'
-- Price taken and given back when delivered a truck
Config.TruckPrice = 250

-- Want to give out a cryptostick per stop?
Config.GiveCryptoStick = true

-- Has to roll this number or higher to receive a cryptostick
Config.CryptoStickChance = 50

-- How many stops minimum should the job roll?
Config.MinStops = 5

-- Upper worth per bag
Config.BagUpperWorth = 100

-- Lower worth per bag
Config.BagLowerWorth = 50

-- Minimum bags per stop
Config.MinBagsPerStop = 2

-- Maximum bags per stop
Config.MaxBagsPerStop = 5

-- WIP: Do not use
-- If you want to use custom routes instead of random amount of stops stops set to true
Config.UsePreconfiguredRoutes = true

Config.Peds = {
    {
        model = 's_m_y_garbage',
        coords =   vector4(601.79, 133.72, 5.37, 176.74),
        zoneOptions = { -- Used for when UseTarget is false
            length = 3.0,
            width = 3.0
        }
    }
}

Config.Locations = {
    ["main"] = {
        label = "Garbage Depot",
        coords =  vector3(596.90, 112.23, 4.67),
    },
    ["vehicle"] = {
        label = "Garbage Truck Storage",
        coords = { -- parking spot locations to spawn garbage
            [1] =  vector4(601.30, 117.45, 4.67, 177.94),
            [2] =  vector4(592.18, 118.62, 4.67, 186.92),
        },
    },
    ["paycheck"] = {
        label = "Payslip Collection",
        coords =  vector3(593.94, 133.73, 5.87),
    },
    ["trashcan"] ={
        [1] = {
            name = "forumdrive",
            coords = vector4(518.68, 278.83, 4.96, 34.24),
        },
        [2] = {
            name = "grovestreet",
            coords = vector4(381.64, 1051.64, 14.71, 267.45),
        },
        [3] = {
            name = "jamestownstreet",
            coords = vector4(1095.42, -40.92, 14.15, 186.41),
        },
        [4] = {
            name = "davisave",
            coords = vector4(1620.10, 290.40, 20.67, 288.95),
        },
        [5] = {
            name = "littlebighornavenue",
            coords = vector4(1465.12, 618.35, 34.61, 184.12),
        },
        [6] = {
            name = "vespucciblvd",
            coords = vector4(1989.42, 980.48, 28.89, 185.47),
        },
        [7] = {
            name = "elginavenue",
            coords = vector4(1328.41, 1151.28, 38.62, 141.38),
        },
        [8] = {
            name = "elginavenue2",
            coords = vector4(763.26, 2089.26, 21.88, 155.23),
        },
        [9] = {
            name = "powerstreet",
            coords = vector4(1490.33, 2292.77, 10.03, 167.70),
        },
        [10] = {
            name = "altastreet",
            coords = vector4(-44.18, 2042.15, 20.41, 264.00),
        },
        [11] = {
            name = "didiondrive",
            coords = vector4(-53.91, 1812.26, 24.09, 314.62),
        },
        [12] = {
            name = "miltonroad",
            coords = vector4(245.90, 1455.02, 14.55, 92.16),
        },
        [13] = {
            name = "eastbourneway",
            coords = vector4(-396.61, 1696.68, 6.06, 279.67),
        },
        [14] = {
            name = "eastbourneway2",
            coords = vector4(-771.02, -218.06, 37.05, 277.5),
        },
        [15] = {
            name = "industrypassage",
            coords = vector4(-677.62, 1858.44, 25.20, 245.36),
        },
        [16] = {
            name = "boulevarddelperro",
            coords = vector4(-1095.76, 2212.81, 27.80, 326.30),
        },
        [17] = {
            name = "sandcastleway",
            coords = vector4(-942.13, 1958.31, 20.96, 286.85),
        },
        [18] = {
            name = "magellanavenue",
            coords = vector4(-1385.14, 1077.64, 25.45, 352.05),
        },
        [19] = {
            name = "palominoavenue",
            coords = vector4(-1347.16, 403.76, 6.63, 178.75),
        },
        [20] = {
            name = "southrockforddrive",
            coords = vector4(-1107.30, 893.41, 14.62, 255.56),
        },
        [21] = {
            name = "southarsenalstreet",
            coords = vector4(-25.71, 70.37, 8.62, 143.60),
        },
    },
    ["routes"] = { -- Custom routes (WIP Do not use)
        [1] = {7, 6, 5, 15, 10},
        [2] = {11, 18, 7, 8, 15},
        [3] = {1, 7, 8, 17, 18},
        [4] = {16, 17, 4, 8, 21},
        [5] = {8, 2, 6, 17, 19},
        [6] = {3, 19, 1, 8, 11},
        [7] = {8, 19, 9, 6, 14},
        [8] = {14, 12, 20, 9, 11},
        [9] = {9, 18, 3, 6, 20},
        [10] = {9, 13, 7, 17, 16}
    }
}

Config.Vehicle = 'trash2' -- vehicle name used to spawn